jstree: Get jsTree representation

API: ac.uk:embl-ebi-ontology-lookup-service-ols-api
Endpoint: /ontologies/{ontologyId}/terms/{iri}/jstree
Response format: unknown
Auth: none
Method: GET
Last Status: 200
Latency: 225ms

Description

Returns a jsTree-compatible JSON representation of the term hierarchy

Parameters (3)

iri (string, path, required)

URL-encoded IRI of the term

lang (string, query, optional, default: en)
ontologyId (string, path, required)

Examples (1)

Get jsTree representation for independent continuant probe-gate
curl 'https://www.ebi.ac.uk/ols4/api/ontologies/go/terms/http%253A%252F%252Fpurl.obolibrary.org%252Fobo%252FBFO_0000004/jstree'
import requests

resp = requests.get("https://www.ebi.ac.uk/ols4/api/ontologies/go/terms/http%253A%252F%252Fpurl.obolibrary.org%252Fobo%252FBFO_0000004/jstree")
data = resp.json()
import zingu_apis

api = zingu_apis.api("embl-ebi-ontology-lookup-service-ols")
result = api.fetch("ontologies/{ontologyId}/terms/{iri}/jstree")

for item in result:
    print(item)
const resp = await fetch("https://www.ebi.ac.uk/ols4/api/ontologies/go/terms/http%253A%252F%252Fpurl.obolibrary.org%252Fobo%252FBFO_0000004/jstree");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:11:12.515821 200 225ms
2026-04-15 02:36:59.323550 200 222ms
2026-04-14 00:18:55.801636 200 299ms
2026-04-12 15:46:52.805560 200 234ms
2026-04-10 00:02:06.328844 200 225ms
2026-04-09 01:14:15.869715 200 218ms
2026-04-08 00:13:33.582223 200 240ms
2026-04-07 01:08:14.631867 200 219ms
2026-04-05 19:32:49.090109 200 251ms